#
# spec file for package fprintd
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fprintd
Version:        0.6.0
Release:        4.3
Summary:        D-Bus service for Fingerprint reader access
License:        GPL-2.0+
Group:          Productivity/Security
Url:            http://www.reactivated.net/fprint/wiki/Fprintd
Source0:        http://freedesktop.org/~hadess/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  gtk-doc >= 1.3
BuildRequires:  intltool
BuildRequires:  pam-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libfprint) > 0.1.0
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(systemd)
%{?systemd_requires}
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x

%description
D-Bus service to access fingerprint readers.

%package pam
Summary:        PAM module for fingerprint authentication
License:        GPL-2.0+
Group:          Productivity/Security
Requires:       %{name} = %{version}
# on biarch platforms we need to have it before the call of pam-config
Recommends:     yast2-fingerprint-reader
Supplements:    modalias(usb:v045Ep00BBd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep00BCd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep00BDd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep00CAd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0483p2015d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0483p2016d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v05BAp0007d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v05BAp000Ad*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1600d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2580d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp5501d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v1162p0300d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v147Ep2016d*dc*dsc*dp*ic*isc*ip*)
Obsoletes:      pam_fprint < 0.2-7
Provides:       pam_fprint = %{version}-%{release}
Obsoletes:      pam_thinkfinger < 0.3
Provides:       pam_thinkfinger = 0.3
Obsoletes:      pam_fp < 0.1
Provides:       pam_fp = 0.1
Requires(postun):         coreutils pam pam-config

%description pam
PAM module that uses the fprintd D-Bus service for fingerprint
authentication.

%package devel
Summary:        Development files for %{name}
License:        GFDL-1.1+
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       gtk-doc
BuildArch:      noarch

%description devel
Development documentation for fprintd, the D-Bus service for
fingerprint readers access.

%lang_package
%prep
%setup -q

%build
%configure \
    --libdir=/%{_lib}/ \
    --disable-static \
    --enable-gtk-doc \
    --enable-pam
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}/%{_lib} -name '*.la' -delete -print
mkdir -p %{buildroot}/%{_localstatedir}/lib/fprint
%find_lang %{name} %{?no_lang_C}

%pre
%service_add_pre fprintd.service

%post
%service_add_post fprintd.service

%preun
%service_del_preun fprintd.service

%postun
%service_del_postun fprintd.service

%postun pam
if [ "$1" = "0" ]; then
        %{_sbindir}/pam-config -d --fprintd ||:
fi

%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS TODO
%{_bindir}/fprintd-*
%{_libexecdir}/fprintd
# FIXME This file should be marked as config when it does something useful
%{_sysconfdir}/fprintd.conf
%{_sysconfdir}/dbus-1/system.d/net.reactivated.Fprint.conf
%{_datadir}/dbus-1/system-services/net.reactivated.Fprint.service
%{_datadir}/polkit-1/actions/net.reactivated.fprint.device.policy
%{_localstatedir}/lib/fprint
%{_mandir}/man1/fprintd.1.gz
%{_unitdir}/fprintd.service

%files lang -f %{name}.lang

%files pam
%defattr(-,root,root,-)
%doc pam/README
/%{_lib}/security/pam_fprintd.so

%files devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/fprintd
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Device.xml
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Manager.xml

%changelog
* Sun Feb  8 2015 zaitor@opensuse.org
- Update to version 0.6.0:
  + Fix warning in fprintd.pod file.
  + Reduce logging during normal operation.
  + Fix eventfd leak in PAM module.
  + List possible values for finger when enrolling.
  + Fix possible crash in fprintd-verify.
  + Fix listing and deleting fingerprints when there's more than
    one reader available.
- Drop fprintd.pod-syntax.patch: fixed upstream.
* Sun Nov  9 2014 Led <ledest@gmail.com>
- fix bashism in postun script
* Thu Sep 11 2014 ro@suse.de
- added baselibs.conf as source to specfile
* Thu Sep 11 2014 ro@suse.de
- drop rpmlintrc
* Tue Feb  4 2014 ro@suse.de
- added baselibs.conf
* Tue Feb  4 2014 ro@suse.de
- activate obsoletes for pam_fprint as yast2-fingerprint-reader
  (which this was waiting for) has been dropped half a year ago
* Sat Nov 16 2013 abonilla@suse.com
- Change systemd BuildRequires to pkgconfig(systemd) so that
  configure actually finds the dependency. This fixes an issue on
  systemd-based systems where the fprintd dbus service is not
  starting because it's referencing the non-existing fprintd
  systemd service. Fix bnc#850807.
- Add %%pre/%%post/%%preun/%%postun sections to register systemd
  service.
- Add %%{?systemd_requires} to the dependencies.
* Sat Sep 21 2013 mailaender@opensuse.org
- Update to version 0.5.1
  + Add support for 147e:2020 to upeke2 driver
  + Fix possible race condition, and cancellation in uru4000 driver
  + Add Microsoft keyboard to the suspend blacklist
  + Plenty of build fixes
- Changes from version 0.5.0:
  + New VFS300/VFS301 driver
  + New AES2550/AES2810 drivers
  + New AES1660 driver
  + New AES2660 driver
  + New DigitalPersona URU4500 driver
  + Avoid empty capture and improve image contrast in the AES2501 and AES2550 drivers
  + Update upektc driver, add support for Eikon Touch 300
  + Fix UrU4000 image capture on ARM
  + Fix power control path for newer kernels
  + Move udev rules to the correct directory
  + Don't print duplicated udev rules
  + Include udev rules in the tarball
  + Allow disabling of udev rules for cross-compiling
  + Add driver names in the generated rules
- Adhere to http://spdx.org/licenses/ guidelines
- Fixed self-obsoletion RPMlint warnings
- Added openSUSE license reminder to spec file
- Added fprintd.pod-syntax.patch to fix a syntax error during build.
* Fri Nov 30 2012 dimstar@opensuse.org
- Update to version 0.4.1:
  + Enable gtk-doc by default so that file aren't missing in the
    tarball
- Changes from version 0.4.0:
  + Loads of new translations
  + Fix crasher when PAM module gets unloaded
  + Use GIO to monitor D-Bus clients instead of custom code
- Add lang_package
- Obsolete pam_fprint <= 0.2 (not provided, it's not a pure
  drop-in replacement).
- Rework the BuildRequires to reflect as closely as possible what
  configure looks for.
* Wed Sep 22 2010 fcrozat@novell.com
- initial package for openSUSE, based on Fedora package
* Thu Aug 19 2010 Bastien Nocera <bnocera@redhat.com>
- Update to 0.2.0
* Wed Dec  9 2009 Bastien Nocera <bnocera@redhat.com>
- Remove use of g_error(), or people think that it crashes when we actually
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Tue Jul 21 2009 Bastien Nocera <bnocera@redhat.com>
- Make the -devel package noarch (#507698)
* Tue Jul 21 2009 Bastien Nocera <bnocera@redhat.com>
- Merge polkit patch and fix for polkit patch
* Thu Jul  9 2009 Matthias Clasen <mclasen@redhat.com> 0.1-12.git04fd09cfa
- Fix the pam module (#510152)
* Sat Jun 20 2009 Bastien Nocera <bnocera@redhat.com>
- Remove obsolete patch
* Tue Jun  9 2009 Matthias Clasen <mclasen@redhat.com>
- Port to PolicyKit 1
* Thu May  7 2009 Bastien Nocera <bnocera@redhat.com>
- Add /var/lib/fprint to the RPM to avoid SELinux errors (#499513)
* Tue Apr 21 2009 Karsten Hopp <karsten@redhat.com>
- Excludearch s390 s390x, as we don't have libusb1 on mainframe, we can't build
* Tue Feb 24 2009 edora Release Engineering <rel-eng@lists.fedoraproject.org
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Tue Jan 27 2009 Bastien Nocera <bnocera@redhat.com
- Add a patch to handle device disconnects
* Mon Jan 26 2009 Bastien Nocera <bnocera@redhat.com>
- Update to latest git, fixes some run-time warnings
* Wed Dec 17 2008 Bastien Nocera <bnocera@redhat.com>
- Add patch to stop leaking a D-Bus connection on failure
* Tue Dec  9 2008 Bastien Nocera <bnocera@redhat.com>
- Update D-Bus config file for recent D-Bus changes
* Thu Dec  4 2008 Bastien Nocera <bnocera@redhat.com>
- Update following comments in the review
* Sun Nov 23 2008 Bastien Nocera <bnocera@redhat.com>
- Update to current git master, and add documentation
* Tue Nov  4 2008 Bastien Nocera <bnocera@redhat.com>
- First package
